summaryrefslogtreecommitdiff
path: root/tct
diff options
context:
space:
mode:
authorAleksander Mistewicz <a.mistewicz@samsung.com>2016-11-07 11:07:16 +0100
committerAleksander Mistewicz <a.mistewicz@samsung.com>2017-01-16 11:07:49 +0100
commit359f78aa48584394cb9283c49e11bee62871db60 (patch)
treecff178d87b660cdb5659a4f614883307d49fe7f5 /tct
parenta3f9e0af3ca9c7e54a9b2d52e83522c382428434 (diff)
downloadmajor-359f78aa48584394cb9283c49e11bee62871db60.tar.gz
major-359f78aa48584394cb9283c49e11bee62871db60.tar.bz2
major-359f78aa48584394cb9283c49e11bee62871db60.zip
Make TITS profile independent
Overall TITS adjustments Change-Id: I8a9b1255a122efa50a8275a558c0bc01174ad4fa Signed-off-by: Aleksander Mistewicz <a.mistewicz@samsung.com>
Diffstat (limited to 'tct')
-rwxr-xr-xtct/common.sh2
-rwxr-xr-xtct/flash/flash.sh6
-rwxr-xr-xtct/minnow_prepare_flash_conf.sh2
-rwxr-xr-xtct/odroid_prepare_flash_conf.sh2
4 files changed, 6 insertions, 6 deletions
diff --git a/tct/common.sh b/tct/common.sh
index ac8cb9a..ba5a1ff 100755
--- a/tct/common.sh
+++ b/tct/common.sh
@@ -31,7 +31,7 @@ die() {
INC_SLEEP=10
INIT_SLEEP=60
RESTART_SLEEP=80
-MAX_SLEEP=120
+MAX_SLEEP=140
TL_IP_CONF="/etc/opt/testlab-major/ip_addr"
SCREENSHOOTER_RPM="/opt/screenshooter.rpm"
diff --git a/tct/flash/flash.sh b/tct/flash/flash.sh
index 547ccf8..e81493c 100755
--- a/tct/flash/flash.sh
+++ b/tct/flash/flash.sh
@@ -36,20 +36,20 @@ uuid2dev() {
UUID="$(cat "${FILE}")"
DEV="$(readlink "/dev/disk/by-uuid/${UUID}")"
- SLEEP=2
+ SLEEP=10
echo "Searching: ${UUID}" >&2
while [ -z "${DEV}" ] && [ "${SLEEP}" -le 30 ]
do
- if [ -n "${SDMUX}" ] && [ "${SLEEP}" -ge 10 ]
+ if [ -n "${SDMUX}" ] && [ "${SLEEP}" -ge 20 ]
then
echo "Restarting sdmux: ${SDMUX}" >&2
switch2device "${SDMUX}"
sdmux_init "${SDMUX}"
fi
sleep "${SLEEP}"
- SLEEP=$((SLEEP+2))
+ SLEEP=$((SLEEP+10))
DEV="$(readlink "/dev/disk/by-uuid/${UUID}")"
done
diff --git a/tct/minnow_prepare_flash_conf.sh b/tct/minnow_prepare_flash_conf.sh
index 09a4a42..cf271f4 100755
--- a/tct/minnow_prepare_flash_conf.sh
+++ b/tct/minnow_prepare_flash_conf.sh
@@ -46,7 +46,7 @@ switch2testserver "${SDMUX}"
echo "### flash ###"
UUID_FILE="/var/tmp/uuid-${SDMUX}"
-DEV_SDCARD=$(uuid2dev "${UUID_FILE}" "${SDMUX}")
+DEV_SDCARD=$(uuid2dev "${UUID_FILE}" "${SDMUX}") || die "sdcard not found!"
echo "Bmaptool: start"
test -b "${DEV_SDCARD}" || die "File does not exist or is not block special"
diff --git a/tct/odroid_prepare_flash_conf.sh b/tct/odroid_prepare_flash_conf.sh
index cefd345..c9e774d 100755
--- a/tct/odroid_prepare_flash_conf.sh
+++ b/tct/odroid_prepare_flash_conf.sh
@@ -57,7 +57,7 @@ unmount_image "${IMAGE_MOUNTPOINT}"
echo "### flash ###"
UUID_FILE="/var/tmp/uuid-${SDMUX}"
-DEV_SDCARD=$(uuid2dev "${UUID_FILE}" "${SDMUX}")
+DEV_SDCARD=$(uuid2dev "${UUID_FILE}" "${SDMUX}") || die "sdcard not found!"
cd "${IMAGE_UNPACKED}"
"${TESTLAB_SCRIPTS}/flash/flash_dd.sh" "${DEV_SDCARD}"